declare abstract class ApiClient {
    abstract get commonHeaders(): HeadersInit;
    abstract get baseUrl(): string;
    private makeRequest;
    buildUrl(path: string): string;
    get(path: string, params: Omit<RequestInit, "method">): Promise<Response>;
    post(path: string, params: Omit<RequestInit, "method">): Promise<Response>;
    put(path: string, params: Omit<RequestInit, "method">): Promise<Response>;
    delete(path: string, params: Omit<RequestInit, "method">): Promise<Response>;
    patch(path: string, params: Omit<RequestInit, "method">): Promise<Response>;
    static normalizePath(path: string): string;
}

export { ApiClient };
