import { ValidateAPIKeyPrefixSuccessData, ValidateAPIKeyFailResult, ValidateAPIKeyPrefixExpectations } from './validateAPIKeyPrefix.js';
import './types.js';

type ValidateAPIKeyResult = ValidateApiKeySuccessResult | ValidateAPIKeyFailResult;
type ValidateApiKeySuccessResult = {
    isValid: true;
} & ValidateApiKeySuccessData;
type ValidateApiKeySuccessData = ValidateAPIKeyPrefixSuccessData & {
    projectId: string;
};
declare function validateAPIKey(apiKey: string, expectations?: ValidateAPIKeyPrefixExpectations): ValidateAPIKeyResult;

export { type ValidateAPIKeyResult, type ValidateApiKeySuccessData, type ValidateApiKeySuccessResult, validateAPIKey };
