import { APIKeyUsageOrigin, APIKeyEnvironmentPrefix, APIKeyPrefix } from './types.js';

type ValidateAPIKeyPrefixResult = ValidateAPIKeyPrefixSuccessResult | ValidateAPIKeyFailResult;
type ValidateAPIKeyPrefixSuccessResult = {
    isValid: true;
} & ValidateAPIKeyPrefixSuccessData;
type ValidateAPIKeyFailResult = {
    isValid: false;
    message: string;
};
type ValidateAPIKeyPrefixSuccessData = {
    usageOrigin: APIKeyUsageOrigin;
    environment: APIKeyEnvironmentPrefix;
    prefix: APIKeyPrefix;
};
type ValidateAPIKeyPrefixExpectations = {
    usageOrigin?: APIKeyUsageOrigin;
    environment?: APIKeyEnvironmentPrefix;
};
declare function validateAPIKeyPrefix(apiKey: string, expectations?: ValidateAPIKeyPrefixExpectations): ValidateAPIKeyPrefixResult;
declare function getEnvironmentForKey(apiKey: string): APIKeyEnvironmentPrefix | null;

export { type ValidateAPIKeyFailResult, type ValidateAPIKeyPrefixExpectations, type ValidateAPIKeyPrefixResult, type ValidateAPIKeyPrefixSuccessData, type ValidateAPIKeyPrefixSuccessResult, getEnvironmentForKey, validateAPIKeyPrefix };
