import { ObjectValues } from '../../types/utils.cjs';

declare const EVMBlockchain: {
    readonly ETHEREUM: "ethereum";
    readonly POLYGON: "polygon";
    readonly BSC: "bsc";
    readonly OPTIMISM: "optimism";
    readonly ARBITRUM: "arbitrum";
    readonly BASE: "base";
    readonly ZORA: "zora";
    readonly ARBITRUMNOVA: "arbitrumnova";
    readonly ZKATANA: "zkatana";
    readonly ZKYOTO: "zkyoto";
    readonly ASTAR_ZKEVM: "astar-zkevm";
    readonly APEX: "apex";
    readonly CHILIZ: "chiliz";
    readonly STORY: "story";
    readonly MODE: "mode";
    readonly BOSS: "boss";
    readonly SHAPE: "shape";
    readonly WORLDCHAIN: "world-chain";
    readonly ABSTRACT: "abstract";
    readonly APECHAIN: "apechain";
    readonly MANTLE: "mantle";
    readonly SCROLL: "scroll";
    readonly SEI_PACIFIC_1: "sei-pacific-1";
};
type EVMBlockchain = ObjectValues<typeof EVMBlockchain>;
declare const EVM_CHAINS: readonly ("mode" | "ethereum" | "polygon" | "bsc" | "optimism" | "arbitrum" | "base" | "zora" | "arbitrumnova" | "zkatana" | "zkyoto" | "astar-zkevm" | "apex" | "chiliz" | "story" | "boss" | "shape" | "world-chain" | "abstract" | "apechain" | "mantle" | "scroll" | "sei-pacific-1")[];
declare const EVMBlockchainTestnet: {
    readonly ARBITRUM_SEPOLIA: "arbitrum-sepolia";
    readonly BASE_GOERLI: "base-goerli";
    readonly BASE_SEPOLIA: "base-sepolia";
    readonly BSC_TESTNET: "bsc-testnet";
    readonly ETHEREUM_GOERLI: "ethereum-goerli";
    readonly ETHEREUM_SEPOLIA: "ethereum-sepolia";
    readonly POLYGON_MUMBAI: "polygon-mumbai";
    readonly POLYGON_AMOY: "polygon-amoy";
    readonly OPTIMISM_GOERLI: "optimism-goerli";
    readonly OPTIMISM_SEPOLIA: "optimism-sepolia";
    readonly ZORA_GOERLI: "zora-goerli";
    readonly ZORA_SEPOLIA: "zora-sepolia";
    readonly HYPERSONIC_TESTNET: "hypersonic-testnet";
    readonly STORY_TESTNET: "story-testnet";
    readonly MODE_SEPOLIA: "mode-sepolia";
    readonly ABSTRACT_TESTNET: "abstract-testnet";
    readonly CURTIS: "curtis";
    readonly MANTLE_SEPOLIA: "mantle-sepolia";
    readonly SCROLL_SEPOLIA: "scroll-sepolia";
    readonly SEI_ATLANTIC_2_TESTNET: "sei-atlantic-2-testnet";
    readonly WORLD_CHAIN_SEPOLIA: "world-chain-sepolia";
};
type EVMBlockchainTestnet = ObjectValues<typeof EVMBlockchainTestnet>;
declare const EVM_BLOCKCHAIN_TESTNETS: readonly ("arbitrum-sepolia" | "base-goerli" | "base-sepolia" | "bsc-testnet" | "ethereum-goerli" | "ethereum-sepolia" | "polygon-mumbai" | "polygon-amoy" | "optimism-goerli" | "optimism-sepolia" | "zora-goerli" | "zora-sepolia" | "hypersonic-testnet" | "story-testnet" | "mode-sepolia" | "abstract-testnet" | "curtis" | "mantle-sepolia" | "scroll-sepolia" | "sei-atlantic-2-testnet" | "world-chain-sepolia")[];
declare const EVMBlockchainIncludingTestnet: {
    readonly ARBITRUM_SEPOLIA: "arbitrum-sepolia";
    readonly BASE_GOERLI: "base-goerli";
    readonly BASE_SEPOLIA: "base-sepolia";
    readonly BSC_TESTNET: "bsc-testnet";
    readonly ETHEREUM_GOERLI: "ethereum-goerli";
    readonly ETHEREUM_SEPOLIA: "ethereum-sepolia";
    readonly POLYGON_MUMBAI: "polygon-mumbai";
    readonly POLYGON_AMOY: "polygon-amoy";
    readonly OPTIMISM_GOERLI: "optimism-goerli";
    readonly OPTIMISM_SEPOLIA: "optimism-sepolia";
    readonly ZORA_GOERLI: "zora-goerli";
    readonly ZORA_SEPOLIA: "zora-sepolia";
    readonly HYPERSONIC_TESTNET: "hypersonic-testnet";
    readonly STORY_TESTNET: "story-testnet";
    readonly MODE_SEPOLIA: "mode-sepolia";
    readonly ABSTRACT_TESTNET: "abstract-testnet";
    readonly CURTIS: "curtis";
    readonly MANTLE_SEPOLIA: "mantle-sepolia";
    readonly SCROLL_SEPOLIA: "scroll-sepolia";
    readonly SEI_ATLANTIC_2_TESTNET: "sei-atlantic-2-testnet";
    readonly WORLD_CHAIN_SEPOLIA: "world-chain-sepolia";
    readonly ETHEREUM: "ethereum";
    readonly POLYGON: "polygon";
    readonly BSC: "bsc";
    readonly OPTIMISM: "optimism";
    readonly ARBITRUM: "arbitrum";
    readonly BASE: "base";
    readonly ZORA: "zora";
    readonly ARBITRUMNOVA: "arbitrumnova";
    readonly ZKATANA: "zkatana";
    readonly ZKYOTO: "zkyoto";
    readonly ASTAR_ZKEVM: "astar-zkevm";
    readonly APEX: "apex";
    readonly CHILIZ: "chiliz";
    readonly STORY: "story";
    readonly MODE: "mode";
    readonly BOSS: "boss";
    readonly SHAPE: "shape";
    readonly WORLDCHAIN: "world-chain";
    readonly ABSTRACT: "abstract";
    readonly APECHAIN: "apechain";
    readonly MANTLE: "mantle";
    readonly SCROLL: "scroll";
    readonly SEI_PACIFIC_1: "sei-pacific-1";
};
type EVMBlockchainIncludingTestnet = ObjectValues<typeof EVMBlockchainIncludingTestnet>;
declare const EVM_BLOCKCHAINS_INCLUDING_TESTNETS: readonly ("mode" | "ethereum" | "polygon" | "bsc" | "optimism" | "arbitrum" | "base" | "zora" | "arbitrumnova" | "zkatana" | "zkyoto" | "astar-zkevm" | "apex" | "chiliz" | "story" | "boss" | "shape" | "world-chain" | "abstract" | "apechain" | "mantle" | "scroll" | "sei-pacific-1" | "arbitrum-sepolia" | "base-goerli" | "base-sepolia" | "bsc-testnet" | "ethereum-goerli" | "ethereum-sepolia" | "polygon-mumbai" | "polygon-amoy" | "optimism-goerli" | "optimism-sepolia" | "zora-goerli" | "zora-sepolia" | "hypersonic-testnet" | "story-testnet" | "mode-sepolia" | "abstract-testnet" | "curtis" | "mantle-sepolia" | "scroll-sepolia" | "sei-atlantic-2-testnet" | "world-chain-sepolia")[];

export { EVMBlockchain, EVMBlockchainIncludingTestnet, EVMBlockchainTestnet, EVM_BLOCKCHAINS_INCLUDING_TESTNETS, EVM_BLOCKCHAIN_TESTNETS, EVM_CHAINS };
