import { ValidateAPIKeyPrefixExpectations } from '../apiKey/validateAPIKeyPrefix.js';
import { EvmExternalWalletSignerConfig, SolanaExternalWalletSignerConfig } from './signers.js';
import '../apiKey/types.js';
import '@solana/web3.js';
import 'viem';

type CustomAuth = {
    email?: string;
    phone?: string;
    jwt?: string;
    externalWalletSigner?: EvmExternalWalletSignerConfig | SolanaExternalWalletSignerConfig;
};
type CrossmintConfig = {
    apiKey: string;
    jwt?: string;
    overrideBaseUrl?: string;
    appId?: string;
    extensionId?: string;
    experimental_customAuth?: CustomAuth;
};
type Crossmint = CrossmintConfig & {
    experimental_setCustomAuth: (customAuth: CustomAuth) => Crossmint;
    setJwt: (jwt: string) => Crossmint;
};
declare function createCrossmint(config: CrossmintConfig, apiKeyExpectations?: ValidateAPIKeyPrefixExpectations): Crossmint;

export { type Crossmint, type CrossmintConfig, type CustomAuth, createCrossmint };
