import { UIConfig } from '../uiconfig.cjs';
import { NFTOrNFTLocator } from '../../blockchain/types/index.cjs';
import { Wallet } from '../../blockchain/types/wallet.cjs';
import '../../blockchain/types/evm.cjs';
import '../utils.cjs';
import '../../blockchain/types/baseLayers.cjs';

interface CommonProps {
    uiConfig?: UIConfig;
    environment?: string;
}
interface NFTCollectionViewProps extends CommonProps {
    wallets: Wallet[];
}
interface NFTDetailProps extends CommonProps {
    nft: NFTOrNFTLocator;
}

export type { NFTCollectionViewProps, NFTDetailProps };
