import { UIConfig } from '../uiconfig.js';
import { NFTOrNFTLocator } from '../../blockchain/types/index.js';
import { Wallet } from '../../blockchain/types/wallet.js';
import '../../blockchain/types/evm.js';
import '../utils.js';
import '../../blockchain/types/baseLayers.js';

interface CommonProps {
    uiConfig?: UIConfig;
    environment?: string;
}
interface NFTCollectionViewProps extends CommonProps {
    wallets: Wallet[];
}
interface NFTDetailProps extends CommonProps {
    nft: NFTOrNFTLocator;
}

export type { NFTCollectionViewProps, NFTDetailProps };
