interface UiConfigColors {
    inputBackground?: string;
    buttonBackground?: string;
    textPrimary?: string;
    textSecondary?: string;
    accent?: string;
    background?: string;
    backgroundSecondary?: string;
    backgroundTertiary?: string;
    border?: string;
    danger?: string;
    textLink?: string;
}
interface UIConfig {
    colors?: UiConfigColors;
    fontSizeBase?: string;
    spacingUnit?: string;
    borderRadius?: string;
    fontWeightPrimary?: string;
    fontWeightSecondary?: string;
    fonts?: UiConfigFonts;
    hideCardForm?: boolean;
}
type UiConfigFonts = (CssFontSource | CustomFontSource)[];
interface CssFontSource {
    cssSrc: string;
    family: string;
}
interface CustomFontSource {
    family: string;
    src: string;
    display?: string;
    style?: "normal" | "italic" | "oblique";
    weight?: string;
}

export type { CssFontSource, CustomFontSource, UIConfig, UiConfigColors, UiConfigFonts };
